> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loyalty Rule Chains Status

> Get the status of a loyalty rule chains



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/loyalty/rule_chains/status
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/rule_chains/status:
    get:
      tags:
        - Loyalty
      summary: Get Loyalty Rule Chains Status
      description: Get the status of a loyalty rule chains
      parameters:
        - name: organizationId
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: websiteId
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: userGroupId
          in: query
          schema:
            type: string
            format: uuid
        - name: loyaltyRuleChainId
          in: query
          required: true
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
                maxItems: 20
        - name: userId
          in: query
          description: Unique identifier(s) for the user. Max 20.
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
                maxItems: 20
            title: User IDs
            example: 123e4567-e89b-12d3-a456-426614174004
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                          format: uuid
                        walletAddress:
                          type: string
                        loyaltyRuleId:
                          type: string
                          format: uuid
                        isCompleted:
                          type: boolean
                      required:
                        - loyaltyRuleId
                        - isCompleted
                required:
                  - data
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````